de.dhbwstuttgart.parser

## Interface JavaParser.yyInput

All Known Implementing Classes:
  Scanner

Enclosing class:
  JavaParser

    public static interface JavaParser.yyInput

must be implemented by a scanner object to supply input to the parser.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `advance()` move on to next token.
`int` `token()` classifies current token.
`java.lang.Object` `value()` associated with current token.

### Method Detail

#### advance

    boolean advance()
             throws java.io.IOException

move on to next token.

Returns:
  false if positioned beyond tokens.
Throws:
  `IOException` - on input error.

#### token

    int token()

classifies current token. Should not be called if advance() returned false.

Returns:
  current %token or single character.

#### value

    java.lang.Object value()

associated with current token. Should not be called if advance() returned false.

Returns:
  value for token().